network printing via LiveBox: cups-ipp-missing-validate-job

Bug #945028 reported by Damien Laporte on 2012-03-02
144
This bug affects 48 people
Affects Status Importance Assigned to Milestone
cups (Ubuntu)
High
Unassigned
Precise
High
Till Kamppeter
system-config-printer (Ubuntu)
High
Unassigned
Precise
High
Unassigned

Bug Description

When I want to print with my Canon ip2600, connected to a livebox 2, the error message is: 'cups-ipp-missing-validate-job'. This bug seems to be the same as #881843, wich was declared for Ubuntu 11.10 and was resolved by "cups 1.5.0-8ubuntu6" package.

Ubuntu 12.04 amd64

[IMPACT]

Everyone who uses the print server facility of the LiveBox (common router supplied by internet access providers, especially in France) cannot print any more in Ubuntu Precise. In Oneiric and older it worked perfectly (regression). Same regression happens for some printers, especially from Samsung. The real bug are bad (not fully standard-conforming) implementations of IPP in the routers and printers.

As fix/workaround we add a second IPP backend to CUPS, named "ipp14". This backend is the IPP backend of the latest CUPS 1.4.x release and is exactly the same as the "ipp" backend of Oneiric.

We had the same problem already in Oneiric, and there I have issued an SRU which downgraded the "ipp" backend to the state of CUPS 1.4.x (= the state of Natty). As the there happened a lot of development on the IPP backend in CUPS 1.5.x which fixed many other bugs I do not want to throw all this away (it even has fixed some other bugs in the first SRU for Precise: bug 1000172, bug 1000758), therefore I have added the old backend for the few quirky devices.

Users will be informed about the new "ipp14" backend in the release notes of 12.04.1.

[TESTCASE]

Unfortunately, this can only be tested with the appropriate hardware.

To reproduce, take Precise with all updates (but without my PPA) and try to print on a printer connected to a LiveBox or on a buggy Samsung printer via IPP (for the Samsung printer you need to select IPP manually when the system-config-printer SRU is applied). Printing will not work. Install the proposed package (cups 1.5.3-0ubuntu2) and you will have an "ipp14" backend. Change the URI of your queue to use this backend, replacing the "ipp://" in the beginning by "ipp14://" by one of the following methods:

1. In a terminal window, run the command

lpstat -v

This gives you a list with all print queues. Entries for the printer connected to your LiveBox (or for the buggy network printer) look like this:

device for ipp-printer: ipp://192.168.1.1/ipp

The word after "device for" is the name of the print queue, the string after the colon is the URI (Unified Resource Identifier) for your print queue.

You need to change your URI so that it starts with "ipp14://" instead of "ipp://". This you do with the command

lpadmin -p <queue name> -v ipp14://<rest of the URI>

or in this example with

lpadmin -p ipp-printer -v ipp14://192.168.1.1/ipp

After that make sure the print queue is cleared and enabled:

cancel -a
cupsenable ipp-printer

and try to print. Printing should work now.

2. Create a print queue with system-config-printer (click gear icon in the upper right, then choose "Printers" in the menu, or run the command "system-config-printer &" in a terminal window).

Click the "Add" button (with the green "+"), click "Network Printer" to open the network printer part, choose "Internet Printing Protocol (ipp14)", then enter the URI for your printer in the upper right, like

ipp14://192.168.1.1/ipp

Important is that you use the IP of your LiveBox/the buggy network printer and that the URI starts with "ipp14://". Click "Forward", then manually choose manufacturer and model of the printer, choose the driver (the recommended one is pre-selected), "Forward", enter desired queue name and finish the wizard.

3. If you have a print queue with a "dnssd://..." URI you can find out the corresponding "ipp://..." URI by printing a job on it (job will not actually print on your LiveBox/buggy printer) and then search your error_log for "ipp://...". Use this URI with the "ipp:" replaced by "ipp14:". Create an appropriate queue as described under 1. or 2..

Try to print on your new print queue now. It should work.

[Regression Potential]

None, as the change will only made use of if explicitly using "ipp14://..." URIs, system-config-printer does not choose these URIs automatically.

Till Kamppeter (till-kamppeter) wrote :

Please update your system to get the newest CUPS package, 1.5.2-8. Please tell whether this solves the problem for you.

Changed in cups (Ubuntu):
status: New → Incomplete

Thanks you for your answer,
with cups 1.5.2-8, there is the same problem.

Changed in cups (Ubuntu):
importance: Undecided → High
Till Kamppeter (till-kamppeter) wrote :

As a workaround, avoid using IPP for network printers or for network print boxes (like your Livebox 2). Instead, use the "AppSocket/HP JetDirect" connection. If your Livebox 2 or your printer does not appear in the list of auto-detected printers or if it has only IPP in its "Connection" list, use the "AppSocket/HP JetDirect" entry and enter the IP address of your Livebox 2.

When I select "AppSocket/HP JetDirect", I enter in "host" entry the IP adress : 192.168.1.1

For the port, the default value is 9100. Is this the good value for this protocol ?

Till Kamppeter (till-kamppeter) wrote :

Use the default port 9100.

I tried this method but "the printer is not responding".

Till Kamppeter (till-kamppeter) wrote :

Can you openm the printer's web interface by entering its IP address into the Location/URL line of a browser and check the configuration of the printer, especially which network protocols are activated (IPP, JetDirect/AppSocket, LPD, ...). Perhaps you need to turn on the support for JetDirect/AppSocket.

Till Kamppeter (till-kamppeter) wrote :

Can you also run

nmap <IP of the printer>

in a terminal window and post the output here?

If you do not have "nmap" installed, run

sudo apt-get install nmap

Till Kamppeter (till-kamppeter) wrote :

Note: For the two last comments, use the IP of your Livebox 2.

Nmap scan report for livebox.home (192.168.1.1)
Host is up (0.0037s latency).
Not shown: 997 filtered ports
PORT STATE SERVICE
23/tcp open telnet
80/tcp open http
139/tcp open netbios-ssn

Nmap done: 1 IP address (1 host up) scanned in 696.76 seconds

Your Livebox has nothing else than SMB (Wiindows printer sharing activated), no IPP, no LPD, no JetDirect/AppSocket. So go to

http://192.168.1.1/

or

https://192.168.1.1/

and go to the part for configuring the print server functionality. Activate all available protocols (IPP. SMB, LPD, JetDirect/AppSocket, SNMP , ...). After that it should be possible to connect to your printer.

I made a lot of tests but it didn't worked.

Did you find any possibilities to configure the print server in the web interface of your Livebox 2? Did you activate the print server in general and/or certain print server protocols (JetDirect/AppSocket, LPD, SMB, IPP, ...)? If so, please run

nmap 192.168.1.1

again and post the output.

In advanced parameters of Livebox, in NAT/PAT section, I added a new rule which I called "AppSocket". I affect the value 9100 for both external and internal ports with TCP and UDP protocols. I didn't found other section for a print server.

These instructions tell how to connect a printer to your Livebox:

http://help.orange.co.uk/orangeuk/support/personal/223157/3

The steps on the other tabs are only for Windows, but for me they look like that the Livebox makes the printers available via AppSocket/JetDirect. Keep the default value (9100) for the port.

Damien, the rules in the NAT/PAT section are only to export a port of a computer/device in your local network to the internet. It is not for setting up a printer on the USB port of the Livebox.

tags: added: cups
tags: added: precise
CromoX (yuzhong-he) wrote :

I have the same problem here, tried all protocols and also didn't find anything useful withing the livebox 2 config page

Yves Soubras (yves-soubras) wrote :

 ipp://192.168.1.1:631/ipp works with ubuntu 11.10 but did not work with ubuntu 12.04

same problem plug the printer on a NAS synology or livebox2

gilles (maboutoune) wrote :

Same problem with xubuntu 12.04; cups 1.5.2; hplip 3.12.2

before all run perfect with xubuntu 11.10; native cup and hplip

Now see: https://bugs.launchpad.net/ubuntu/+bug/992468

Changed in cups (Ubuntu):
status: Incomplete → Confirmed
gilles (maboutoune) wrote :

Fabio,
 I remember to you what cups.org said when they examine this bug :

"Please re-contact your Linux distributor for this - the error message in the log indicates that the driver (or configuration of CUPS) you are using is not accepting the print file, so we never even try to send the job to the printer (it is never processed)."

They think is not a cup problem.

Reported to CUPS upstream a:

http://www.cups.org/str.php?L4081

Please subscribe to this bug report and answer upcoming questions there. Thanks.

Damien, for getting help from upstream I need more information from you. Please follow the instructions of the sections "CUPS error_log" and "Capturing print job data on https://wiki.ubuntu.com/DebuggingPrintingProblems. Thanks.

Changed in cups (Ubuntu):
status: Confirmed → Incomplete
Daninator (daniel-rade) wrote :

Hello, I"m facing the same problem.
I tried using ipptool command to launch some test.
The output was an error of ipp version:
v1.0 received v1.1 expected.

It seems the livebox only use v1.0 protocol.

I hope it will help

José Lorenzo (joselorenzoh) wrote :

Hello,
I have the same problems as the others colleagues, canon iP4300 livebox2 + + Ubuntu 4.12 AMD64. I tried it in windows xp + w7 works well. I also bought a Synology NAS, does it I will have problems with the print server + Ubuntu 12.04?.

Hello.

I have the same bug.

Here are some data :

About the printer :
Epson Stylus DX7450 - CUPS+Gutenprint v5.2.8-pre1 (color, 2-sided printing)
ipp://livebox:631/ipp

About the print job states :
Processing page 1...
Printing page 1, 17%
no profiles specified in PPD
Print file was not accepted.
job-printer-state-reasons : [u'cups-ipp-conformance-failure-report', u'cups-ipp-missing-validate-job']

Before I updgrade from Ubuntu 11.10 to 12.04, a useless password was asked to print : I could enter anything, printing worked. Now, no password is required but printing does not work.

Changed in cups (Ubuntu):
status: Incomplete → Confirmed

I wonder if :
version 5.2.8~pre1-0ubuntu2 of printer-driver-guntenprint package
is compatible with :
version 1.5.2-9ubuntu1 of cups package

I think the bug does not come from the Livebox : when I connect the printer to a PC, printing does not work better.
A login and password is required.
I get the job-printer-state-message :
"Expected the optional content group list, but wasn't able to find it, or it isn't an Array"
for the printer :
Printer URI : smb://FIXE/EPSONSty
Model : Epson Stylus DX7450 - CUPS+Gutenprint v5.2.7 Simplified

After changing to Gutenprint 5.2.8-pre1, I get another job-printer-state-message :
The PPD version (5.2.7 SImplified) is not compatible with Guntenprint 5.2.8-pre1

Good news : printing just now the "Printer test page" has been successfull on the printer connected to a PC on the network !
So, now it works with SMB.
I will try immeditely again with IPP.

Well, I get the bug only with IPP and CUPS.
I can print via SMB and CUPS on a printer connected on a USB port of a Windows XP PC connected by ethernet to my LiveBox 2.
But I can't print on the same printer when it is connected on the USB port of my LiveBox 2.
With Ubuntu 11.10, I could use the two solutions.
But the bug does not happen only with my LiveBox 2 at home but also at work when I try to print on a network printer via IPP and CUPS.
Hope this information will help to solve the bug.
Read you soon ...

Launchpad Janitor (janitor) wrote :
Download full text (4.8 KiB)

This bug was fixed in the package cups - 1.5.3-1

---------------
cups (1.5.3-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - Numerous fixes on IPP (LP: #945028, LP: #973270, LP: #990734,
       LP: #992468, LP: #992982, LP: #1000172, LP: #1000758)
     - USB backend based on the maintained libusb 1.0.x with support for
       bi-directional communication
     - Fixes on SNMP-based supply level reporting
     - PostScript prtinter auto-configuration reliable now
     - Several fixes on PostScript, SSL, authenticated printing, and
       networking issues
  * debian/patches/ipp-fixes-1.5.3.patch,
    debian/patches/fix-empty-translations.patch,
    debian/patches/ppd-cache-fix-crash.patch,
    debian/patches/commandtops-make-robust-against-broken-postscript.patch,
    debian/patches/cups-polld-reconnect.patch,
    debian/patches/usb-backend-libusb-1.0.patch,
    debian/patches/usb-backend-backchannel-support.patch: Removed patches which
    got included upstream.
  * debian/patches/fix-supply-level-computation-for-percent-supply-unit.patch,
    debian/patches/fix-supply-levels-for-enumerated-prtmarkersupplieslevel.patch,
    debian/patches/fix-status-reports-when-supply-levels-grow.patch,
    debian/patches/add-status-reports-for-full-waste-trays-and-cleaner-unit-eol.patch,
    debian/patches/match-marker-colorants-which-use-non-standard-string.patch,
    debian/patches/truncate-marker-supply-names-at-comma.patch: Removed supply
    level report fixes. This got solved differently upstream.
  * debian/patches/do-not-suppress-inputslot-setting-with-empty-ap-d-inputslot.patch:
    Removed, problem solved differently upstream.
  * debian/patches/cups-avahi.patch: Manually regenerated to adapt to upstream
    changes.
  * debian/patches/ppd-poll-with-client-conf.patch,
    debian/patches/colord-support.patch,
    debian/patches/airprint-support.patch,
    debian/patches/no-conffile-timestamp.patch,
    debian/patches/drop_unnecessary_dependencies.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/show-compile-command-lines.patch: Refreshed using quilt.
  * debian/patches/usb-backend-busy-loop-fix.patch: Correct loops to repeat
    claiming interfaces on USB devices when they are busy. Before, hitting busy
    state made the device opening function error out without comment
    (LP: #987485).
  * debian/patches/usb-backend-detach-usblp-earlier-crash-guards.patch: Protect
    against crashes by checking error codes of libusb functions (LP: #997040)
    and detach usblp kernel module in an earlier stage when opening a device
    (LP: #987485, LP: #997040).
  * debian/patches/usb-backend-initialize-usblp-attached-state.patch: Initialize
    usblp_attached field in printer data structure to assure that detaching
    and re-attaching the usblp kernel module is always done correctly
    (LP: #902535, LP: #959676, LP: #960666, LP: #987485,
    LP: #995111, LP: #997040, LP: #1000253, LP: #1001028).
  * debian/patches/install-sh-remove-bashism.patch: Removed bashism.
  * debian/local/blacklist-cups-usblp.conf, debian/cups.postinst,
    debian/cups.install: Bla...

Read more...

Changed in cups (Ubuntu):
status: Confirmed → Fix Released

New CUPS package with the following (and some addtional) fixes uploaded to precise-proposed (proposed updates for 12.04 (Precise)):

 - Crash and busy loop fixes on the USB backend
 - "usblp" kernel module blacklisted again as it also causes problems with the new USB backend
 - Lots of fixes on the IPP backend and also on the IPP server part in the CUPS daemon
 - Other networking issues

These fixes should address most of the bugs reported shortly after the release of Precise, especially the problems with USB printing and network printing. As soon as the package is approved and made available for testing and additional comment with installation instructions will get posted here. Please test the new package then and report here whether this solves your problems. We will decide on the results whether the package will be made an official update for Precise.

Please remove/cancel all jobs and turn off and turn on your printer before testing.

debdiff attached.

Changed in cups (Ubuntu Precise):
status: New → Fix Committed
importance: Undecided → High
milestone: none → precise-updates

Hello Damien, or anyone else affected,

Accepted cups into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed

I tested with cups 1.5.3-0ubuntu1, but it doesn't work yet. I obtain the "cups-ipp-missing-validate-job" error.

Update made ​​with cups 1.5.3 by precise-proposed, but it doesn't work yet.

Can you all please add my PPA to your system's software sources, following the instructions under "Adding this PPA to your system" on

https://launchpad.net/~till-kamppeter/+archive/ppa

and then update your system. You should get the CUPS packages of version 1.5.3-0ubuntu2~ppa1 then.

Now test again and tell us whether this solves your problem.

With the PPA that doesn't work. But it runs in a loop

Processing page 1 ... -> Printing page 1, 19% -> Print file was not accepted. -> Processing page 1 ... -> Printing page 1, 19% -> Print file was not accepted -> .............

It doesn't work yet with cups 1.5.3-0ubuntu2.

As the fixes done so far on CUPS' IPP backend did not solve this problem we should avoid using the IPP backend whenever possible. IPP implementations in printers are too often not conforming well with the standards. Therefore I have made a change on system-config-printer now to default to the AppSocket/JetDirect protocol with highest priority and lets IPP being used only if no other protocol is supported by the printer. Note that this is a workaround and not really a fix.

Added system-config-printer task ...

Changed in system-config-printer (Ubuntu):
status: New → In Progress
Changed in system-config-printer (Ubuntu Precise):
status: New → In Progress
Changed in system-config-printer (Ubuntu):
importance: Undecided → High
Changed in system-config-printer (Ubuntu Precise):
importance: Undecided → High
milestone: none → precise-updates
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.3.8+20120201-0ubuntu9

---------------
system-config-printer (1.3.8+20120201-0ubuntu9) quantal; urgency=low

  * debian/patches/83_improved-sorting-of-device-lists.patch: Improved sort
    order of device entries, so that in the "Connections" list of a detected
    network printer "AppSocket/JetDirect" always has highest priority and
    "IPP" has lowest. This way we avoid that network printers get set up
    with IPP connection, as many printers do not conform to the IPP
    standards. "AppSocket/JetDirect" is a very simple protocol which usually
    works (Works around LP: #945028, LP: #973270, LP: #990734, LP: #992468,
    LP: #992982).
 -- Till Kamppeter <email address hidden> Tue, 29 May 2012 19:26:31 +0200

Changed in system-config-printer (Ubuntu):
status: In Progress → Fix Released
Changed in system-config-printer (Ubuntu Precise):
status: In Progress → Fix Committed

Uploaded the system-config-printer package with the workaround to precise-proposed. As soon as the package is available to test on Precise, this will be announced with another comment with installation instructions. Please install and test the package then and tell us your results. We need your feedback to be able to make the package an official update for Precise.

To test the new package, install it and then remove the print queue for your printer. After that create the queue again with system-config-printer. Please use the default settings which system-config-printer suggests. Can you print with the new print queue?

For the SRU team: debdiff attached.

Hello Damien, or anyone else affected,

Accepted system-config-printer into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Reopening CUPS task as it turned out that the fixes in CUPS do not cover this bug.

SRU treated here is for system-config-printer.

Changed in cups (Ubuntu):
status: Fix Released → Confirmed
Changed in cups (Ubuntu Precise):
status: Fix Committed → Confirmed

Till, after update of system-config-printer version 1.3.8 on Ubuntu precise, I tested the new package.
I removed the print queue for my printer connected to the USB port of my LiveBox 2. I used system-config-printer to create the queue again. I searched for printer LiveBox. The tool system-config-printer found my printer and suggested the same as before : ipp://livebox:631/ipp.
When trying to print the test page on this printer queue, I get again the same error : "Traitement en cours - Print file was not accepted."
When I install a printer queue socket://livebox:9100 and try to print the test page, I get the error : "Traitement en cours - The printer is busy."

Results of nmap livebox

Host is up (0.028s latency).
Hostname livebox resolves to 6 IPs. Only scanned 192.168.1.1
rDNS record for 192.168.1.1: livebox.home
Not shown: 994 closed ports
PORT STATE SERVICE
23/tcp open telnet
80/tcp open http
139/tcp open netbios-ssn
631/tcp open ipp
2222/tcp open unknown
9000/tcp open cslistener

Changed in system-config-printer (Ubuntu):
status: Fix Released → Invalid
Changed in system-config-printer (Ubuntu Precise):
status: Fix Committed → Invalid
summary: - network printer : cups-ipp-missing-validate-job
+ network printing via LiveBox: cups-ipp-missing-validate-job

This means that the LiveBox 2 suports printers only via the IPP protocol and the implementation of IPP in the LiveBox 2 is buggy. Therefore we cannot support printing via LiveBox 2. Closing ...

Changed in cups (Ubuntu):
status: Confirmed → Invalid
Changed in cups (Ubuntu Precise):
status: Confirmed → Invalid
tags: removed: verification-needed

OK. I will contact Orange support to try to solve the bug.

If the problem is a Livebox 2 buggy, why does it work very well with Ubuntu Oneiric ? For this release, this bug was solved (see bug #881843)...

The problem occured with the IPP backend of CUPS 1.5.0. It has bugs of the IPP backend of CUPS 1.4.x fixed, but unfortunately, got incompatible with some IPP implementations of printers and network equipment, including the LiveBox 2. As these problems are caused by bugs in the IPP implementations of the hardware and completely IPP-conforming hardware works correctly with the IPP backend of CUPS 1.5.x, this problems were not considered as a bug of CUPS and so not fixed/worked around by CUPS upstream.

In Oneiric I have done a CUPS SRU replacing the IPP backend of Oneiric's CUPS 1.5.0 by the IPP backend of the last CUPS 1.4.x version. This solved most problems users were complaining about but excluded us from the further development of the IPP backend and any new bug fixes. Upstream also tells that staying on this old backend is a bad idea.

Therefore I left the original IPP backend of CUPS 1.5.2 for Precise in (hoping that most problems got fixed on 1.5.0 -> 1.5.2) but received complaints again. At least the complaints were different to the ones in Oneiric, meaning that some Oneiric problems got fixed.

For the Precise SRU I did not want to step back to the IPP backend of CUPS 1.4.x again and so I decided to go forward now and proposed the whole CUPS 1.5.3 (not only the IPP backend) as SRU and via PPA I have let users even test the IPP backend fixes which got committed by CUPS upstream after 1.5.3, but did not fix any further reported bug by that. Some IPP bugs got actually fixed with 1.5.3: bug 1000172 and bug 1000758.

Launchpad Janitor (janitor) wrote :
Download full text (3.8 KiB)

This bug was fixed in the package cups - 1.5.3-0ubuntu1

---------------
cups (1.5.3-0ubuntu1) precise-proposed; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - Numerous fixes on IPP (LP: #945028, LP: #973270, LP: #990734,
       LP: #992468, LP: #992982, LP: #1000172, LP: #1000758)
     - USB backend based on the maintained libusb 1.0.x with support for
       bi-directional communication
     - Fixes on SNMP-based supply level reporting
     - PostScript prtinter auto-configuration reliable now
     - Several fixes on PostScript, SSL, authenticated printing, and
       networking issues
  * debian/patches/ipp-fixes-1.5.3.patch,
    debian/patches/fix-empty-translations.patch,
    debian/patches/ppd-cache-fix-crash.patch,
    debian/patches/commandtops-make-robust-against-broken-postscript.patch,
    debian/patches/cups-polld-reconnect.patch,
    debian/patches/usb-backend-libusb-1.0.patch,
    debian/patches/usb-backend-backchannel-support.patch: Removed patches which
    got included upstream.
  * debian/patches/fix-supply-level-computation-for-percent-supply-unit.patch,
    debian/patches/fix-supply-levels-for-enumerated-prtmarkersupplieslevel.patch,
    debian/patches/fix-status-reports-when-supply-levels-grow.patch,
    debian/patches/add-status-reports-for-full-waste-trays-and-cleaner-unit-eol.patch,
    debian/patches/match-marker-colorants-which-use-non-standard-string.patch,
    debian/patches/truncate-marker-supply-names-at-comma.patch: Removed supply
    level report fixes. This got solved differently upstream.
  * debian/patches/do-not-suppress-inputslot-setting-with-empty-ap-d-inputslot.patch:
    Removed, problem solved differently upstream.
  * debian/patches/cups-avahi.patch: Manually regenerated to adapt to upstream
    changes.
  * debian/patches/ppd-poll-with-client-conf.patch,
    debian/patches/colord-support.patch,
    debian/patches/airprint-support.patch,
    debian/patches/no-conffile-timestamp.patch,
    debian/patches/drop_unnecessary_dependencies.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/show-compile-command-lines.patch: Refreshed using quilt.
  * debian/patches/usb-backend-busy-loop-fix.patch: Correct loops to repeat
    claiming interfaces on USB devices when they are busy. Before, hitting busy
    state made the device opening function error out without comment
    (LP: #987485).
  * debian/patches/usb-backend-detach-usblp-earlier-crash-guards.patch: Protect
    against crashes by checking error codes of libusb functions (LP: #997040)
    and detach usblp kernel module in an earlier stage when opening a device
    (LP: #987485, LP: #997040).
  * debian/patches/usb-backend-initialize-usblp-attached-state.patch: Initialize
    usblp_attached field in printer data structure to assure that detaching
    and re-attaching the usblp kernel module is always done correctly
    (LP: #902535, LP: #959676, LP: #960666, LP: #987485,
    LP: #995111, LP: #997040, LP: #1000253, LP: #1001028).
  * debian/patches/install-sh-remove-bashism.patch: Removed bashism.
  * debian/local/blacklist-cups-usblp.conf, debian/cups.postinst,
    de...

Read more...

Changed in cups (Ubuntu Precise):
status: Invalid → Fix Released

Precise task set to "Fix Released" in error, undoing.

Changed in cups (Ubuntu Precise):
status: Fix Released → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.3.8+20120201-0ubuntu8.1

---------------
system-config-printer (1.3.8+20120201-0ubuntu8.1) precise-proposed; urgency=low

  * debian/patches/83_improved-sorting-of-device-lists.patch: Improved sort
    order of device entries, so that in the "Connections" list of a detected
    network printer "AppSocket/JetDirect" always has highest priority and
    "IPP" has lowest. This way we avoid that network printers get set up
    with IPP connection, as many printers do not conform to the IPP
    standards. "AppSocket/JetDirect" is a very simple protocol which usually
    works (Works around LP: #945028, LP: #973270, LP: #990734, LP: #992468,
    LP: #992982).
 -- Till Kamppeter <email address hidden> Tue, 29 May 2012 19:26:31 +0200

Changed in system-config-printer (Ubuntu Precise):
status: Invalid → Fix Released
gilles (maboutoune) wrote :

You say:
The problem occured with the IPP backend of CUPS 1.5.0. It has bugs of the IPP backend of CUPS 1.4.x fixed, but unfortunately, got incompatible with some IPP implementations of printers and network equipment, including the LiveBox 2. As these problems are caused by bugs in the IPP implementations of the hardware and completely IPP-conforming hardware works correctly with the IPP backend of CUPS 1.5.x, this problems were not considered as a bug of CUPS and so not fixed/worked around by CUPS upstream.

I don't understand nothing to hard or softwares and I trust You.

But all 9, 10, and 11 versions of Linux print with Livebox 2, also M$ 98, XP, 2000, vista and seven (and sure others OS).

Couldn't print with the 5 years LTS version called "precise", it's disappointing me.

So the only solution should be back to 11.04 or M$?

I have uploaded a modified CUPS package to my PPA now. Please add my PPA to your system as described on

https://launchpad.net/~till-kamppeter/+archive/ppa

in the section "Adding this PPA to your system" and then install the new CUPS package, preferably by simply doing a full system update. The CUPS version must be 1.5.3-0ubuntu2~ppa3.

This CUPS version contains two IPP backends: One is called "ipp" and is the new one of CUPS 1.5.x. This version does not work with the LiveBox 2. The other is called "ipp14" and is the IPP backend of CUPS 1.4.x, the backend which got used in Natty (11.04) and Oneiric (11.10 with all updates). This backend should work with the LiveBox 2, as Ubuntu 11.10 worked for you.

So I want to ask you to test with this backend.

Here are ways to get it used:

1. In a terminal window, run the command

lpstat -v

This gives you a list with all print queues. Entries for the printer connected to your LiveBox 2 look like this:

device for livebox: ipp://192.168.1.1/ipp

The word after "device for" is the name of the print queue, the string after the colon is the URI (Unified Resource Identifier) for your print queue.

You need to change your URI so that it starts with "ipp14://" instead of "ipp://". This you do with the command

lpadmin -p <queue name> -v ipp14://<rest of the URI>

or in this example with

lpadmin -p livebox -v ipp14://192.168.1.1/ipp

After that make sure the print queue is cleared and enabled:

cancel -a
cupsenable livebox

and try to print. Does it work now?

2. Create a print queue with system-config-printer (click gear icon in the upper right, then choose "Printers" in the menu, or run the command "system-config-printer &" in a terminal window).

Click the "Add" button (with the green "+"), click "Network Printer" to open the network printer part, choose "Internet Printing Protocol (ipp14)", then enter the URI for your printer in the upper right, like

ipp14://192.168.1.1/ipp

Important is that you use the IP of your LiveBox 2 and that the URI starts with "ipp14://". Click "Forward", then manually choose manufacturer and model of the printer, choose the driver (the recommended one is pre-selected), "Forward", enter desired queue name and finish the wizard.

3. If you have a print queue with a "dnssd://..." URI you can find out the corresponding "ipp://..." URI by printing a job on it (job will not actually print on your LiveBox 2) and then search your error_log for "ipp://...". Use this URI with the "ipp:" replaced by "ipp14:". Create an appropriate queue as described under 1. or 2..

Try to print on your new print queue now. It should work.

gilles (maboutoune) wrote :

Till Kamppeter,

You are a GENIUS !!!!!!!!!!!!!!!!!!!!!!

It's works perfect for me !

A thousand times thank you, for your work, your patience and your amiability.

Gilles

Resetting "Fix Released"status in system-config-printer task. It was set in error by an automated process.

Changed in system-config-printer (Ubuntu Precise):
status: Fix Released → Invalid

gilles, thank you very much for testing, so I will include the addition of the CUPS 1.4.x IPP backend in the second Precise SRU of CUPS.

Changed in cups (Ubuntu):
status: Invalid → Triaged
Changed in cups (Ubuntu Precise):
status: Invalid → Triaged

Thank you very much Till, it works fine !!!!!

Damien, also thanks for testing. It seems that this backend solves all remaining IPP printing problems.

I confirm : this ipp14 backend works perfectly !
Thank you very much Till.

I must have something wrong....
When enter lpadmin -p HP-Photosmart-c3100 -v ipp14://192.168.1.1:631/HP-Photosmart-c3100 I get Bad device-uri scheme "ipp14".
Printer connected on Livebox, works perfect on Ubuntu 11.10, never worked on 12.04. WiFi network works fine.
Where did I bug??? Must say I am not an expert on Linux.....sorry

Mario, do you really have 1.5.3-0ubuntu2~ppa3 on your system? Run the commands

apt-cache policy cups

and post the output here. Note that older CUPS packages do not have an "ipp14" backend.

Can you post the output of these two commands:

ls /usr/lib/cups/backend/
ls /usr/lib/cups/backend-available/
lpinfo -v

Here are the outputs for the commands you asked me to run :l
mario@mario-HP-Compaq-dc7100-SFF-PE226ET:~$ apt-cache policy cups
cups:
  Installé : 1.5.3-0ubuntu1
  Candidat : 1.5.3-0ubuntu1
 Table de version :
 *** 1.5.3-0ubuntu1 0
        500 http://fr.archive.ubuntu.com/ubuntu/ precise-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1.5.2-9ubuntu1 0
        500 http://fr.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
mario@mario-HP-Compaq-dc7100-SFF-PE226ET:~$ ls /usr/lib/cups/backend/
beh dnssd hpfax https ipps mdns serial snmp usb
bluetooth hp http ipp lpd parallel smb socket
mario@mario-HP-Compaq-dc7100-SFF-PE226ET:~$ ls /usr/lib/cups/backend-available/
dnssd http https ipp ipps lpd snmp socket usb
mario@mario-HP-Compaq-dc7100-SFF-PE226ET:~$ lpinfo -v
network socket
network lpd
direct parallel:/dev/lp0
network https
network ipps
network ipp
network http
direct hp
network smb
network beh
direct hpfax
mario@mario-HP-Compaq-dc7100-SFF-PE226ET:~$

As you requested .... Thanks for you halp
mario@mario-HP-Compaq-dc7100-SFF-PE226ET:~$ apt-cache policy cups

cups:
  Installé : 1.5.3-0ubuntu1
  Candidat : 1.5.3-0ubuntu1
 Table de version :
 *** 1.5.3-0ubuntu1 0
        500 http://fr.archive.ubuntu.com/ubuntu/ precise-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1.5.2-9ubuntu1 0
        500 http://fr.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
mario@mario-HP-Compaq-dc7100-SFF-PE226ET:~$
mario@mario-HP-Compaq-dc7100-SFF-PE226ET:~$ ls /usr/lib/cups/backend/
beh dnssd hpfax https ipps mdns serial snmp usb
bluetooth hp http ipp lpd parallel smb socket
mario@mario-HP-Compaq-dc7100-SFF-PE226ET:~$ ls /usr/lib/cups/baxckend-avalable/
ls: impossible d'accéder à /usr/lib/cups/baxckend-avalable/: Aucun fichier ou dossier de ce type
mario@mario-HP-Compaq-dc7100-SFF-PE226ET:~$ ls /usr/lib/cups/backend-available/
dnssd http https ipp ipps lpd snmp socket usb
mario@mario-HP-Compaq-dc7100-SFF-PE226ET:~$ lpinfo -v
network https
network http
network ipp
network ipps
network socket
network lpd
direct parallel:/dev/lp0
direct hp
network beh
network smb
direct hpfax

pk4 (ul-k-ir) wrote :

Sorry for the delay, solution works for me also (I'm using HP printer). Thank you very much!

pk4 (ul-k-ir) wrote :

Mario add till-kamppeters PPA first then run upgrade:
sudo apt-add-repository ppa:till-kamppeter/ppa
sudo apt-get update && sudo apt-get upgrade

Great!!!!! All works fine I most probably (surely) bugged somewhere around!!!
Thanks a lot Till (also got a good lesson in Ubuntu 12.04.... two thanks!!)

Julien (gigidimarchetti) wrote :

Hello,

I've follow the instructions that you wrote here -> Comment 56 for bug 945028. It works :)
Thank you so much ;).

I have uploaded a new CUPS version, 1.5.3-0ubuntu2~ppa11 to my PPA now. Please upgrade to this version and now do another test with the "ipp://..." URI again (not the "ipp14://..." of comment #56). Does this work now? Please also with the "ipp://..." URI add "?version=1.1" or "?version=1.0" to the end of the device URI (example: "ipp://192.168.1.1/ipp?version=1.0"). Does one or both of these prossibilities work? Please tell. If nothing works, return to using "ipp14://...".

I have tested all of methods, it works only with ipp14.

Tim Holy (holy-wustl) wrote :

Hardware details: my printer (HP MFP 3300) is attached via USB to a NetGear ReadyNAS. Worked fine until upgrading to 12.04.

I upgraded to 1.5.3-0ubuntu2~ppa11. Results:
1. Just trying to print with an unmodified queue did not work

2. Changing to ipp14 worked (hurray!)

3. Trying ipp and appending ?version=1.1 and printing a text file worked, with a caveat: the following text appeared below what I was printing,
ERROR:
timeout
OFFENDING COMMAND:
timeout
STACK:
-mark-
-mark-
-mark-

4. Trying ipp and appending ?version=1.0 seems to work without the above error. I've been able to print both a text file and a web page. My print status notifier (KDE) does show the message "cups-ipp-missing-job-history", but this doesn't seem to prevent it from producing output.

I have the impression, however, that ipp14 produces a printed page _much faster_ (maybe threefold) than ipp. So for the time being I'll stick with ipp14.

Eduardo Larroya (zdv80) wrote :

Thanks for your efford Till.
In my case, with Livebox 2, only works the ipp14 method... All others fail.

With ipp14 appears and "error connecting printer" but prints... :)

mavosaure (mavosaure) wrote :

Thanks for all Till.

We just had this bug again (as after an upgrade to Oneiric, as reported in the #881843) after a fresh install of Precise. We are using a modem-router BBox2 (of the french internet provider Bouygues Telecom), which is also the same hardware (and maybe software under the rebranding) as Orange Livebox 2 (Sagem F@st 3504).

The package 1.5.3-0ubuntu2~ppa14 works coming from your ppa with the protocol ipp14 with no any warning :
ipp14://bbox

But with just the "simple" ipp, we get the same warning message "Print file was not accepted".
And as job-printer-state-reasons : [u'cups-ipp-conformance-failure-report', u'cups-ipp-missing-validate-job']

1.5.3-0ubuntu2~ppa14 is installed on my computer.
I can print the test page without error with the protocol ipp14.
With ipp protocol, with or without version parameter, I get the error : "Print file was not accepted.", and nothing is printed

and I get the same job-printer-state-reasons as mavosaure

Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package cups - 1.5.3-3

---------------
cups (1.5.3-3) experimental; urgency=low

  * debian/patches/usb-backend-further-enhancements.patch: Added latest
    development work on the libusb-based USB backend:
     - Support for uni-directional devices, both protocol-1 devices and
       devices where no read endpoint is found.
     - Soft reset specific to the "PRINTER" device class. This allows a
       reset without reconnecting.
     - When closing the device, it will also get reset to its original
       configuration, before re-attaching the usblp kernel module. Do not
       restore the configuration setting when the old configuration was zero,
       as zero means "unconfigured".
     - Added option "usb-unidir" to force the backend into uni-directional
       mode. This allows to work around problems with bi-di communications,
       especially also a delay at the end of the job caused by closing the
       read channel (happens only for some devices, LP: #1001028). Also
       useful for debugging.
     - Added the quirk management of the usblp kernel module. So the problems
       of all printers which were worked around in the kernel module are
       also worked around in the libusb-based CUPS backend now (LP: #1000253).
     - Added new quirk type to quirk manager: Printers for which the usblp
       kernel module should not get reattached after printing a job
       (LP: #1000253, perhaps also LP: #995111).
     - Added additional quirks for the Prolific Technology USB -> Parallel
       adapter, as the adapter needs uni-directional mode to be forced and
       also does not like re-attaching the usblp kernel module after the
       job (last third of last page gets cut off, re-attaching probably
       sends a reset to the printer while there is still data to be printed
       in the printer's internal buffer (LP: #987485).
     - Added the command line option "usb-no-reattach". With the option set
       the usblp kernel module does not get reattached after a job has been
       printed. Some printers cut off the end of the job or even crash by
       re-attaching the module. This is a development/debug mode to test
       whether re-attaching was the culprit of a problem. Users should
       report such issues so that their printers can get added to the quirk
       list.
     - Some extra debug messages.
     - Added a missing libusb_free_config_descriptor().
    This patch is submitted upstream as CUPS STR #4128.
  * debian/patches/add-ipp-backend-of-cups-1.4.patch, debian/cups.config,
    debian/cups.lintian-overrides, debian/cups.postinst, debian/cups.prerm,
    debian/cups.templates: Add the IPP backend of CUPS 1.4.x to the current
    CUPS package as independent backend "ipp14". Some devices (like the
    LiveBox 2) do not work with the current IPP backend (LP: #945028,
    LP: #973270, LP: #990734, LP: #992468, LP: #992982).
  * debian/patches/ipp-backend-cups-1.5.4-fixes.patch: Backported latest
    fixes on the IPP backend from upstream.
  * debian/local/blacklist-cups-usblp.conf, debian/cups.postinst,
    debian/cups.install, debian/cups.preinst, debian/cups.postinst,
    debian/cups.postrm:...

Read more...

Changed in cups (Ubuntu):
status: Triaged → Fix Released
Changed in cups (Ubuntu Precise):
status: Triaged → Fix Committed
milestone: precise-updates → ubuntu-12.04.1

Uploaded proposed fix for Precise (ipp14 backend added) to the precise-proposed package repository. As soon as it gets approved we will post another comment here with instructions how to install and test it. Please test it that as your feedbvack here is required for making the package an official update.

For the SRU team: debdiff attached (SRU is for bug 945028, bug 973270, bug 987485, bug 997040, bug 1000253, and bug 1001028).

Uploaded proposed fix for Precise (ipp14 backend added) to the precise-proposed package repository. As soon as it gets approved we will post another comment here with instructions how to install and test it. Please test it that as your feedbvack here is required for making the package an official update.

For the SRU team: debdiff attached (SRU is for bug 945028, bug 973270, bug 987485, bug 997040, bug 1000253, and bug 1001028).

description: updated
Changed in cups (Ubuntu Precise):
assignee: nobody → Till Kamppeter (till-kamppeter)
Stéphane Graber (stgraber) wrote :

Please use "In progress" instead of "Fix commited" as the status for bugs that have a fix in the queue but not yet accepted to -proposed, otherwise it's making our reports quite confusing...
The SRU script will automatically changed it to "Fix commited" when it lands in -proposed and then "Fix released" when it lands in -updates.

Thanks

Changed in cups (Ubuntu Precise):
status: Fix Committed → In Progress

Hello Damien, or anyone else affected,

Accepted cups into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cups/1.5.3-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cups (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed

It works fine for me with ipp14 (cups 1.5.3-0ubuntu2) !!!!

Damien, thank you for testing, marking fix as verified.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (3.7 KiB)

This bug was fixed in the package cups - 1.5.3-0ubuntu2

---------------
cups (1.5.3-0ubuntu2) precise-proposed; urgency=low

  * debian/patches/usb-backend-further-enhancements.patch: Added latest
    development work on the libusb-based USB backend:
     - Support for uni-directional devices, both protocol-1 devices and
       devices where no read endpoint is found (LP: #1000253, LP: #1001028).
     - Soft reset specific to the "PRINTER" device class. This allows a
       reset without reconnecting.
     - When closing the device, it will also get reset to its original
       configuration, before re-attaching the usblp kernel module. Do not
       restore the configuration setting when the old configuration was zero,
       as zero means "unconfigured".
     - Added option "usb-unidir" to force the backend into uni-directional
       mode. This allows to work around problems with bi-di communications,
       especially also a delay at the end of the job caused by closing the
       read channel (happens only for some devices, LP: #1001028). Also
       useful for debugging.
     - Added the quirk management of the usblp kernel module. So the problems
       of all printers which were worked around in the kernel module are
       also worked around in the libusb-based CUPS backend now (LP: #1000253).
     - Added new quirk type to quirk manager: Printers for which the usblp
       kernel module should not get reattached after printing a job
       (LP: #1000253).
     - Added additional quirks for the Prolific Technology USB -> Parallel
       adapter, as the adapter needs uni-directional mode to be forced and
       also does not like re-attaching the usblp kernel module after the
       job (last third of last page gets cut off, re-attaching probably
       sends a reset to the printer while there is still data to be printed
       in the printer's internal buffer, LP: #987485).
     - Added the command line option "usb-no-reattach". With the option set
       the usblp kernel module does not get reattached after a job has been
       printed. Some printers cut off the end of the job or even crash by
       re-attaching the module. This is a development/debug mode to test
       whether re-attaching was the culprit of a problem. Users should
       report such issues so that their printers can get added to the quirk
       list.
     - Do a printer reset after each job, this makes the Prolific USB ->
       Parallel adapter finally work (LP: #987485) and makes it unnecessary
       to blacklist the usblp kernel module for some printers (LP: #997040).
     - Some extra debug messages.
     - Added a missing libusb_free_config_descriptor().
    This patch is submitted upstream as CUPS STR #4128.
  * debian/patches/add-ipp-backend-of-cups-1.4.patch, debian/cups.config,
    debian/cups.lintian-overrides, debian/cups.postinst, debian/cups.prerm,
    debian/cups.templates: Add the IPP backend of CUPS 1.4.x to the current
    CUPS package as independent backend "ipp14". Some devices (like the
    LiveBox 2 and some Samsung printers) do not work with the current IPP
    backend (LP: #945028, LP: #973270).
  * debian/local/blacklist-cups-usblp.co...

Read more...

Changed in cups (Ubuntu Precise):
status: Fix Committed → Fix Released
Kris Marien (kris-marien) wrote :

I can add my network printer by making a network search. I have 2 ubuntu 12.04 systems, both updated.

When I print a test page I get in the following message in the printer status: waiting for autorization (or something like that, my ubuntu is dutch)

When I autorize in the status window it finally returns to the same message: awaiting autorization.

Help, I still can't print from my netbook over the network to the printer connected on my desktop.

Kris Marien (kris-marien) wrote :

Hi,

problem solved. I added network printer @ http://localhost:631/admin and not by a network search in the printer configuration utility. I guess it is no more using samba for printing now but the cups server instead.

Thanks for your help Till.

I have a US Robotics router/print server and printing worked until cups 1.4 (old Linux), then with 1.5 I started receiving the cups-ipp-missing-validate-job error messages and was no more able to print.

I can access my printer (Samsung ML2010) from "http://192.168.1.1:1631/printers/My_Printer", so I don't know how to instruct cups to use ipp14 backend instead than ipp. Any suggestions?

Thank you very much!

mavosaure (mavosaure) on 2012-11-14
tags: added: quantal

Printer Canon Pixma iX6500
Works through USB with my 2 computers (ubuntu 12.10, with cups 1.6.1-0ubuntu11.3)

Is seen as lpd://192.168.1.253/PASSTHRU when USB-connected to the tg788vn gateway, but doesn't print : error message «The printer is unreachable at this time.»

from above it seems should install
cups_1.6.2-1ubuntu5
however this requires libc6(>=2.16)
which is icluded in
libc6_2.17-0ubuntu
… and this last one doesn't install

Shall I wait for a next release of Ubuntu ?

Thanks

robert leleu, your problems are not this (already fixed) bug, please report separate bugs, especially one on libc6 for the libc6 installation problem.

butagaz38 (butagaz38) wrote :

Same Problem with a Livebox 2 Samsung and a Brother DCP195C (cups-ipp-missing-validate-job), on cups 1.6.2

The temporate solution (ipp14://192.168.1.1/ipp) is still working.

Thanks to Damien Laporte !

Grzegorz Rajda (mellonedain) wrote :

I test solution (ipp14://192.168.1.1/ipp) on newest Livebox v3 and HP DeskJet 2510 series printer and this still one working solution.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers